/**
 * An object that tests the functionality of the Banker
 * @author Joel Ross
 * @version Sp15
 */
public class BankingTester
{
    /**
     * Tests the firstQuarterEarnings() method
     */
    public static void testFirstQuarterEarnings()
    {
        System.out.println("### Testing firstQuarterEarnings(1000, 0.06) ###");

        System.out.println("  ### Output Expected: ###");
        System.out.println("Initial balance: $1000.0");
        System.out.println("Annual interest: 6.0%");
        System.out.println("Balance after first month: $1005.0");
        System.out.println("Balance after second month: $1010.025");
        System.out.println("Balance after third month: $1015.075125");
        System.out.println();
        System.out.println("  ### Output Produced: ###");
        Banker banker = new Banker();
        banker.firstQuarterEarnings(1000, 0.06);
    }
    
    /**
     * Tests the longTermInterest() method
     */
    public static void testLongTermInterest()
    {
        System.out.println("### Testing longTermInterest(1000, 0.06, 5) ###");

        System.out.println("  ### Output Expected: ###");
        System.out.println("Initial balance: $1000.0");
        System.out.println("Annual interest: 6.0%");
        System.out.println("Interest earned in 5 years: $348.8501525493075");
        System.out.println("Total value after 5 years: $1348.8501525493075");
        System.out.println();
        System.out.println("  ### Output Produced: ###");
        Banker banker = new Banker();
        banker.longTermInterest(1000, 0.06, 5);
    }

    /**
     * Tests the valueOfChange() method
     */
    public static void testValueOfChange()
    {
        System.out.println("### Testing valueOfChange(5, 4, 3, 2) ###");

        System.out.println("  ### Output Expected: ###");
        System.out.println("# of quarters: 5");
        System.out.println("# of dimes: 4");
        System.out.println("# of nickels: 3");
        System.out.println("# of pennies: 2");
        System.out.println("Value of change: $1.82");
        System.out.println();
        System.out.println("  ### Output Produced: ###");
        Banker banker = new Banker();
        banker.valueOfChange(5, 4, 3, 2);
    }
    
    /**
     * Tests the calculateChange() method
     */
    public static void testCalculateChange()
    {
        System.out.println("### Testing calculateChange(5, 4, 3, 2) ###");

        System.out.println("  ### Output Expected: ###");
        System.out.println("Coins given:");
        System.out.println("# of quarters: 5");
        System.out.println("# of dimes: 4");
        System.out.println("# of nickels: 3");
        System.out.println("# of pennies: 2");
        System.out.println("Value of change: $1.82");
        System.out.println("Coins returned: ");
        System.out.println("  0 fives");
        System.out.println("  1 ones");
        System.out.println("  3 quarters");
        System.out.println("  0 dimes");
        System.out.println("  1 nickels");
        System.out.println("  2 pennies");
        System.out.println();
        System.out.println("  ### Output Produced: ###");
        Banker banker = new Banker();
        banker.calculateChange(5, 4, 3, 2);
    }
    
}
